--------------------------------------------------------------------
Library IEEE;
USE IEEE.std_logic_1164.all;
USE IEEE.std_logic_arith.all;
USE ieee.std_logic_unsigned.all;
USE work.pkg_081006.all;  
-------------------------------------------------------------------- 

entity mux_2x32_v2 is
	port(
		 Sel_A_nB		: in std_logic;
		 A_in				: in std_logic_vector(31 downto 0);
		 B_in				: in std_logic_vector(31 downto 0);
		 Data_out		: out std_logic_vector(31 downto 0)
		);
end mux_2x32_v2;
	
architecture main of mux_2x32_v2 is	


begin -- main --------------------------------------------------------
	process (Sel_A_nB, A_in, B_in)	
	begin
			if   (Sel_A_nB = '1') then Data_out <= A_in;
			else								Data_out <= B_in;
			end if;
	end process; 
	
end;

